POST /structured-content/contents/{content_id}/versions/{version_id}/previews/{preview_id}/acknowledge
1 min
POST
https://api.cmp.optimizely.com/v3/structured-content/contents/{content_id}/versions/{version_id}/previews/{preview_id}/acknowledge
Path Parameters
- content_idstringrequiredDescription
- version_idstringrequiredDescription
- preview_idstringrequiredDescription
Body Parameters
- bodySCContentPreviewAcknowledgeRequestrequired
- acknowledged_bystringrequiredDescription
- content_hashstringrequiredDescription
Responses
200
- undefined
422
- HTTPValidationError
- detailValidationError[]Description
- locstring[]requiredDescription
- msgstringrequiredDescription
- typestringrequiredDescription
curl
curl --request POST \
--url https://api.cmp.optimizely.com/v3/structured-content/contents/{content_id}/versions/{version_id}/previews/{preview_id}/acknowledge \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"acknowledged_by": "",
"content_hash": ""
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"acknowledged_by": "",
"content_hash": ""
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.cmp.optimizely.com/v3/structured-content/contents/{content_id}/versions/{version_id}/previews/{preview_id}/acknowledge", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.cmp.optimizely.com/v3/structured-content/contents/{content_id}/versions/{version_id}/previews/{preview_id}/acknowledge")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"acknowledged_by": "",
"content_hash": ""
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.cmp.optimizely.com/v3/structured-content/contents/{content_id}/versions/{version_id}/previews/{preview_id}/acknowledge"
payload = json.dumps({
"acknowledged_by": "",
"content_hash": ""
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful response
""422
// Validation error
{
"detail": [
{
"loc": [
""
],
"msg": "",
"type": ""
}
]
}